JDialog:
  name: frame
  title: frame.title
  size: packed
  locationRelativeTo: null
  defaultCloseOperation: disposeOnClose
  iconImage: img.ae
  modalityType: applicationModal
  content:
    - JButton(name=btnOk, text=btnOk, onAction=[save,dispose])
    - JButton(name=btnCancel, text=btnCancel, onAction=[dispose])
    - JPanel(name=panCommon, groupTitle=panCommon):
      - JCheckBox(name=chkNotifyOnStart, horizontalTextPosition=LEADING, text=lblNotifyOnStart)
      - JCheckBox(name=chkNotifyNewPackagesOnStart, horizontalTextPosition=LEADING, text=lblNotifyNewPackagesOnStart)
      - JCheckBox(name=chkNotifyDepsAfterInstall, horizontalTextPosition=LEADING, text=lblNotifyDepsAfterInstall, toolTipText=lblNotifyDepsAfterInstall.tooltip)
      - JCheckBox(name=chkShowTipsAtStart, horizontalTextPosition=LEADING, text=lblShowTipsAtStart)
      - JCheckBox(name=chkCopyIntro, horizontalTextPosition=LEADING, text=lblCopyIntro)
      - JCheckBox(name=chkCopyOutro, horizontalTextPosition=LEADING, text=lblCopyOutro)
      - MigLayout: |
           [grow]
           >chkNotifyOnStart             [pref]
           >chkNotifyNewPackagesOnStart  [pref]
           >chkNotifyDepsAfterInstall    [pref]
           >chkShowTipsAtStart           [pref]
           >chkCopyIntro                 [pref]
           >chkCopyOutro                 [pref]
    - JPanel(name=panProxy, groupTitle=panProxy):
      - JLabel(name=empty)
      - JCheckBox(name=chkUseProxy, horizontalTextPosition=LEADING, text=chkUseProxy)
      - JLabel(name=lblProxyHost, text=lblProxyHost)
      - JTextField(name=txtProxyHost)
      - JLabel(name=lblProxyPort, text=lblProxyPort)
      - JTextField(name=txtProxyPort)
      - MigLayout: |
           [min]           [18]            [grow]
           >chkUseProxy+2                  empty   [pref]
           >lblProxyHost   txtProxyHost+*          [pref]
           >lblProxyPort   txtProxyPort+*          [pref]
    - JPanel(name=panUI, groupTitle=panUI):
      - JLabel(name=lblLaF, text=lblLaF)
      - JComboBox(name=cmbLaF, minimumSize=150x10)
      - MigLayout: |
           [min]        [grow]
           >lblLaF      cmbLaF    [pref]
    - MigLayout: |
         [grow]
         panCommon               [pref]
         panProxy                [pref]
         panUI                   [pref]
         >btnOk+*=1,btnCancel=1  [min]
  